package cz.moneta.test.dsl.hypos.pages;

import cz.moneta.test.harness.endpoints.WebEndpoint;
import cz.moneta.test.harness.support.web.Until;
import cz.moneta.test.harness.support.web.WebFlow;

public interface HyposPageFlow<A extends WebFlow<A>> extends WebFlow<A> {
    String LOADER = "//div[@class='loading' and not(contains(@style,'display: none'))]";

    default void beforePageLoad(WebEndpoint endpoint) {
        endpoint.waitForElementsToLoad(120, Until.GONE, LOADER);
    }
}
